=== modified file 'client/mysql.cc'
--- client/mysql.cc	2008-06-30 07:09:25 +0000
+++ client/mysql.cc	2008-07-01 21:25:46 +0000
@@ -4111,13 +4111,6 @@
     mysql_options(&mysql, MYSQL_SECURE_AUTH, (char *) &opt_secure_auth);
   if (using_opt_local_infile)
     mysql_options(&mysql,MYSQL_OPT_LOCAL_INFILE, (char*) &opt_local_infile);
-#if defined(HAVE_OPENSSL) && !defined(EMBEDDED_LIBRARY)
-  if (opt_use_ssl)
-    mysql_ssl_set(&mysql, opt_ssl_key, opt_ssl_cert, opt_ssl_ca,
-		  opt_ssl_capath, opt_ssl_cipher);
-  mysql_options(&mysql,MYSQL_OPT_SSL_VERIFY_SERVER_CERT,
-                (char*)&opt_ssl_verify_server_cert);
-#endif
   if (opt_protocol)
     mysql_options(&mysql,MYSQL_OPT_PROTOCOL,(char*)&opt_protocol);
 #ifdef HAVE_SMEM
@@ -4225,12 +4218,6 @@
       }
       mysql_free_result(result);
     } 
-#if defined(HAVE_OPENSSL) && !defined(EMBEDDED_LIBRARY)
-    if ((status_str= mysql_get_ssl_cipher(&mysql)))
-      tee_fprintf(stdout, "SSL:\t\t\tCipher in use is %s\n",
-		  status_str);
-    else
-#endif /* HAVE_OPENSSL && !EMBEDDED_LIBRARY */
       tee_puts("SSL:\t\t\tNot in use", stdout);
   }
   else

=== modified file 'client/mysqladmin.cc'
--- client/mysqladmin.cc	2008-06-30 07:09:25 +0000
+++ client/mysqladmin.cc	2008-07-01 21:25:46 +0000
@@ -332,13 +332,6 @@
     uint tmp=opt_connect_timeout;
     mysql_options(&mysql,MYSQL_OPT_CONNECT_TIMEOUT, (char*) &tmp);
   }
-#ifdef HAVE_OPENSSL
-  if (opt_use_ssl)
-    mysql_ssl_set(&mysql, opt_ssl_key, opt_ssl_cert, opt_ssl_ca,
-		  opt_ssl_capath, opt_ssl_cipher);
-  mysql_options(&mysql,MYSQL_OPT_SSL_VERIFY_SERVER_CERT,
-                (char*)&opt_ssl_verify_server_cert);
-#endif
   if (opt_protocol)
     mysql_options(&mysql,MYSQL_OPT_PROTOCOL,(char*)&opt_protocol);
 #ifdef HAVE_SMEM

=== modified file 'client/mysqlcheck.c'
--- client/mysqlcheck.c	2008-06-30 07:09:25 +0000
+++ client/mysqlcheck.c	2008-07-01 21:25:46 +0000
@@ -740,11 +740,6 @@
   mysql_init(&mysql_connection);
   if (opt_compress)
     mysql_options(&mysql_connection, MYSQL_OPT_COMPRESS, NullS);
-#ifdef HAVE_OPENSSL
-  if (opt_use_ssl)
-    mysql_ssl_set(&mysql_connection, opt_ssl_key, opt_ssl_cert, opt_ssl_ca,
-		  opt_ssl_capath, opt_ssl_cipher);
-#endif
   if (opt_protocol)
     mysql_options(&mysql_connection,MYSQL_OPT_PROTOCOL,(char*)&opt_protocol);
 #ifdef HAVE_SMEM

=== modified file 'client/mysqldump.c'
--- client/mysqldump.c	2008-06-30 07:09:25 +0000
+++ client/mysqldump.c	2008-07-01 21:25:46 +0000
@@ -1407,13 +1407,6 @@
   mysql_init(&mysql_connection);
   if (opt_compress)
     mysql_options(&mysql_connection,MYSQL_OPT_COMPRESS,NullS);
-#ifdef HAVE_OPENSSL
-  if (opt_use_ssl)
-    mysql_ssl_set(&mysql_connection, opt_ssl_key, opt_ssl_cert, opt_ssl_ca,
-                  opt_ssl_capath, opt_ssl_cipher);
-  mysql_options(&mysql_connection,MYSQL_OPT_SSL_VERIFY_SERVER_CERT,
-                (char*)&opt_ssl_verify_server_cert);
-#endif
   if (opt_protocol)
     mysql_options(&mysql_connection,MYSQL_OPT_PROTOCOL,(char*)&opt_protocol);
 #ifdef HAVE_SMEM

=== modified file 'client/mysqlimport.c'
--- client/mysqlimport.c	2008-06-30 07:09:25 +0000
+++ client/mysqlimport.c	2008-07-01 21:25:46 +0000
@@ -391,13 +391,6 @@
   if (opt_local_file)
     mysql_options(mysql,MYSQL_OPT_LOCAL_INFILE,
 		  (char*) &opt_local_file);
-#ifdef HAVE_OPENSSL
-  if (opt_use_ssl)
-    mysql_ssl_set(mysql, opt_ssl_key, opt_ssl_cert, opt_ssl_ca,
-		  opt_ssl_capath, opt_ssl_cipher);
-  mysql_options(mysql,MYSQL_OPT_SSL_VERIFY_SERVER_CERT,
-                (char*)&opt_ssl_verify_server_cert);
-#endif
   if (opt_protocol)
     mysql_options(mysql,MYSQL_OPT_PROTOCOL,(char*)&opt_protocol);
 #ifdef HAVE_SMEM

=== modified file 'client/mysqlshow.c'
--- client/mysqlshow.c	2008-06-30 07:09:25 +0000
+++ client/mysqlshow.c	2008-07-01 21:25:46 +0000
@@ -105,13 +105,6 @@
   mysql_init(&mysql);
   if (opt_compress)
     mysql_options(&mysql,MYSQL_OPT_COMPRESS,NullS);
-#ifdef HAVE_OPENSSL
-  if (opt_use_ssl)
-    mysql_ssl_set(&mysql, opt_ssl_key, opt_ssl_cert, opt_ssl_ca,
-		  opt_ssl_capath, opt_ssl_cipher);
-  mysql_options(&mysql,MYSQL_OPT_SSL_VERIFY_SERVER_CERT,
-                (char*)&opt_ssl_verify_server_cert);
-#endif
   if (opt_protocol)
     mysql_options(&mysql,MYSQL_OPT_PROTOCOL,(char*)&opt_protocol);
 #ifdef HAVE_SMEM

=== modified file 'client/mysqltest.c'
--- client/mysqltest.c	2008-06-30 07:09:25 +0000
+++ client/mysqltest.c	2008-07-01 21:25:46 +0000
@@ -6627,21 +6627,6 @@
     mysql_options(&cur_con->mysql, MYSQL_SET_CHARSET_DIR,
                   opt_charsets_dir);
 
-#if defined(HAVE_OPENSSL) && !defined(EMBEDDED_LIBRARY)
-
-  if (opt_use_ssl)
-  {
-    mysql_ssl_set(&cur_con->mysql, opt_ssl_key, opt_ssl_cert, opt_ssl_ca,
-		  opt_ssl_capath, opt_ssl_cipher);
-#if MYSQL_VERSION_ID >= 50000
-    /* Turn on ssl_verify_server_cert only if host is "localhost" */
-    opt_ssl_verify_server_cert= opt_host && !strcmp(opt_host, "localhost");
-    mysql_options(&cur_con->mysql, MYSQL_OPT_SSL_VERIFY_SERVER_CERT,
-                  &opt_ssl_verify_server_cert);
-#endif
-  }
-#endif
-
   if (!(cur_con->name = my_strdup("default", MYF(MY_WME))))
     die("Out of memory");
 

=== modified file 'include/sha2.h'
--- include/sha2.h	2008-06-25 05:29:13 +0000
+++ include/sha2.h	2008-07-01 21:25:46 +0000
@@ -18,55 +18,4 @@
 
 #include <my_global.h>
 
-#if defined(HAVE_YASSL) || defined(HAVE_OPENSSL)
-
-#  ifdef HAVE_STDDEF_H
-#    include <stddef.h>
-#  endif
-
-#  ifndef HAVE_YASSL
-#    include <openssl/sha.h>
-
-#  else
-
-#include "../extra/yassl/taocrypt/include/sha.hpp"
-
-#    ifdef __cplusplus
-extern "C" {
-#    endif
-
-#ifndef SHA512_DIGEST_LENGTH
-#define SHA512_DIGEST_LENGTH TaoCrypt::SHA512::DIGEST_SIZE
-#endif
-
-#ifndef SHA384_DIGEST_LENGTH
-#define SHA384_DIGEST_LENGTH TaoCrypt::SHA384::DIGEST_SIZE
-#endif
-
-#ifndef SHA256_DIGEST_LENGTH
-#define SHA256_DIGEST_LENGTH TaoCrypt::SHA256::DIGEST_SIZE
-#endif
-
-#ifndef SHA224_DIGEST_LENGTH
-#define SHA224_DIGEST_LENGTH TaoCrypt::SHA224::DIGEST_SIZE
-#endif
-
-#define GEN_YASSL_SHA2_BRIDGE(size) \
-unsigned char* SHA##size(const unsigned char *input_ptr, size_t input_length, \
-               char unsigned *output_ptr);
-
-GEN_YASSL_SHA2_BRIDGE(512);
-GEN_YASSL_SHA2_BRIDGE(384);
-GEN_YASSL_SHA2_BRIDGE(256);
-GEN_YASSL_SHA2_BRIDGE(224);
-
-#undef GEN_YASSL_SHA2_BRIDGE
-
-#    ifdef __cplusplus
-}
-#    endif
-
-#  endif /* HAVE_YASSL */
-
-#endif /* HAVE_OPENSSL || HAVE_YASSL */
 #endif /* included_sha2_h */

=== modified file 'include/violite.h'
--- include/violite.h	2008-06-25 05:29:13 +0000
+++ include/violite.h	2008-07-01 21:25:46 +0000
@@ -74,48 +74,6 @@
 my_bool	vio_poll_read(Vio *vio,uint timeout);
 my_bool vio_peek_read(Vio *vio, uint *bytes);
 
-#ifdef HAVE_OPENSSL
-#include <openssl/opensslv.h>
-#if OPENSSL_VERSION_NUMBER < 0x0090700f
-#define DES_cblock des_cblock
-#define DES_key_schedule des_key_schedule
-#define DES_set_key_unchecked(k,ks) des_set_key_unchecked((k),*(ks))
-#define DES_ede3_cbc_encrypt(i,o,l,k1,k2,k3,iv,e) des_ede3_cbc_encrypt((i),(o),(l),*(k1),*(k2),*(k3),(iv),(e))
-#endif
-
-#define HEADER_DES_LOCL_H dummy_something
-#define YASSL_MYSQL_COMPATIBLE
-#ifndef YASSL_PREFIX
-#define YASSL_PREFIX
-#endif
-/* Set yaSSL to use same type as MySQL do for socket handles */
-typedef my_socket YASSL_SOCKET_T;
-#define YASSL_SOCKET_T_DEFINED
-#include <openssl/ssl.h>
-#include <openssl/err.h>
-
-#ifndef EMBEDDED_LIBRARY
-
-struct st_VioSSLFd
-{
-  SSL_CTX *ssl_context;
-};
-
-int sslaccept(struct st_VioSSLFd*, Vio *, long timeout);
-int sslconnect(struct st_VioSSLFd*, Vio *, long timeout);
-
-struct st_VioSSLFd
-*new_VioSSLConnectorFd(const char *key_file, const char *cert_file,
-		       const char *ca_file,  const char *ca_path,
-		       const char *cipher);
-struct st_VioSSLFd
-*new_VioSSLAcceptorFd(const char *key_file, const char *cert_file,
-		      const char *ca_file,const char *ca_path,
-		      const char *cipher);
-void free_vio_ssl_acceptor_fd(struct st_VioSSLFd *fd);
-#endif /* ! EMBEDDED_LIBRARY */
-#endif /* HAVE_OPENSSL */
-
 #ifdef HAVE_SMEM
 size_t vio_read_shared_memory(Vio *vio, uchar * buf, size_t size);
 size_t vio_write_shared_memory(Vio *vio, const uchar * buf, size_t size);
@@ -188,9 +146,6 @@
   my_bool (*was_interrupted)(Vio*);
   int     (*vioclose)(Vio*);
   void	  (*timeout)(Vio*, unsigned int which, unsigned int timeout);
-#ifdef HAVE_OPENSSL
-  void	  *ssl_arg;
-#endif
 #ifdef HAVE_SMEM
   HANDLE  handle_file_map;
   char    *handle_map;

=== modified file 'libmysql/client.c'
--- libmysql/client.c	2008-07-01 20:52:03 +0000
+++ libmysql/client.c	2008-07-01 21:25:46 +0000
@@ -1103,35 +1103,12 @@
 	case 12:			/* return-found-rows */
 	  options->client_flag|=CLIENT_FOUND_ROWS;
 	  break;
-#if defined(HAVE_OPENSSL) && !defined(EMBEDDED_LIBRARY)
-	case 13:			/* ssl_key */
-	  my_free(options->ssl_key, MYF(MY_ALLOW_ZERO_PTR));
-          options->ssl_key = my_strdup(opt_arg, MYF(MY_WME));
-          break;
-	case 14:			/* ssl_cert */
-	  my_free(options->ssl_cert, MYF(MY_ALLOW_ZERO_PTR));
-          options->ssl_cert = my_strdup(opt_arg, MYF(MY_WME));
-          break;
-	case 15:			/* ssl_ca */
-	  my_free(options->ssl_ca, MYF(MY_ALLOW_ZERO_PTR));
-          options->ssl_ca = my_strdup(opt_arg, MYF(MY_WME));
-          break;
-	case 16:			/* ssl_capath */
-	  my_free(options->ssl_capath, MYF(MY_ALLOW_ZERO_PTR));
-          options->ssl_capath = my_strdup(opt_arg, MYF(MY_WME));
-          break;
-        case 23:			/* ssl_cipher */
-          my_free(options->ssl_cipher, MYF(MY_ALLOW_ZERO_PTR));
-          options->ssl_cipher= my_strdup(opt_arg, MYF(MY_WME));
-          break;
-#else
 	case 13:				/* Ignore SSL options */
 	case 14:
 	case 15:
 	case 16:
         case 23:
 	  break;
-#endif /* HAVE_OPENSSL && !EMBEDDED_LIBRARY */
 	case 17:			/* charset-lib */
 	  my_free(options->charset_dir,MYF(MY_ALLOW_ZERO_PTR));
           options->charset_dir = my_strdup(opt_arg, MYF(MY_WME));
@@ -1564,13 +1541,6 @@
 	      const char *cipher __attribute__((unused)))
 {
   DBUG_ENTER("mysql_ssl_set");
-#if defined(HAVE_OPENSSL) && !defined(EMBEDDED_LIBRARY)
-  mysql->options.ssl_key=    strdup_if_not_null(key);
-  mysql->options.ssl_cert=   strdup_if_not_null(cert);
-  mysql->options.ssl_ca=     strdup_if_not_null(ca);
-  mysql->options.ssl_capath= strdup_if_not_null(capath);
-  mysql->options.ssl_cipher= strdup_if_not_null(cipher);
-#endif /* HAVE_OPENSSL && !EMBEDDED_LIBRARY */
   DBUG_RETURN(0);
 }
 
@@ -1580,34 +1550,6 @@
   NB! Errors are not reported until you do mysql_real_connect.
 */
 
-#if defined(HAVE_OPENSSL) && !defined(EMBEDDED_LIBRARY)
-
-static void
-mysql_ssl_free(MYSQL *mysql __attribute__((unused)))
-{
-  struct st_VioSSLFd *ssl_fd= (struct st_VioSSLFd*) mysql->connector_fd;
-  DBUG_ENTER("mysql_ssl_free");
-
-  my_free(mysql->options.ssl_key, MYF(MY_ALLOW_ZERO_PTR));
-  my_free(mysql->options.ssl_cert, MYF(MY_ALLOW_ZERO_PTR));
-  my_free(mysql->options.ssl_ca, MYF(MY_ALLOW_ZERO_PTR));
-  my_free(mysql->options.ssl_capath, MYF(MY_ALLOW_ZERO_PTR));
-  my_free(mysql->options.ssl_cipher, MYF(MY_ALLOW_ZERO_PTR));
-  if (ssl_fd)
-    SSL_CTX_free(ssl_fd->ssl_context);
-  my_free(mysql->connector_fd,MYF(MY_ALLOW_ZERO_PTR));
-  mysql->options.ssl_key = 0;
-  mysql->options.ssl_cert = 0;
-  mysql->options.ssl_ca = 0;
-  mysql->options.ssl_capath = 0;
-  mysql->options.ssl_cipher= 0;
-  mysql->options.use_ssl = FALSE;
-  mysql->connector_fd = 0;
-  DBUG_VOID_RETURN;
-}
-
-#endif /* HAVE_OPENSSL && !EMBEDDED_LIBRARY */
-
 /*
   Return the SSL cipher (if any) used for current
   connection to the server.
@@ -1622,10 +1564,6 @@
 mysql_get_ssl_cipher(MYSQL *mysql __attribute__((unused)))
 {
   DBUG_ENTER("mysql_get_ssl_cipher");
-#if defined(HAVE_OPENSSL) && !defined(EMBEDDED_LIBRARY)
-  if (mysql->net.vio && mysql->net.vio->ssl_arg)
-    DBUG_RETURN(SSL_get_cipher_name((SSL*)mysql->net.vio->ssl_arg));
-#endif /* HAVE_OPENSSL && !EMBEDDED_LIBRARY */
   DBUG_RETURN(NULL);
 }
 
@@ -1645,66 +1583,6 @@
 
  */
 
-#if defined(HAVE_OPENSSL) && !defined(EMBEDDED_LIBRARY)
-
-static int ssl_verify_server_cert(Vio *vio, const char* server_hostname)
-{
-  SSL *ssl;
-  X509 *server_cert;
-  char *cp1, *cp2;
-  char buf[256];
-  DBUG_ENTER("ssl_verify_server_cert");
-  DBUG_PRINT("enter", ("server_hostname: %s", server_hostname));
-
-  if (!(ssl= (SSL*)vio->ssl_arg))
-  {
-    DBUG_PRINT("error", ("No SSL pointer found"));
-    DBUG_RETURN(1);
-  }
-
-  if (!server_hostname)
-  {
-    DBUG_PRINT("error", ("No server hostname supplied"));
-    DBUG_RETURN(1);
-  }
-
-  if (!(server_cert= SSL_get_peer_certificate(ssl)))
-  {
-    DBUG_PRINT("error", ("Could not get server certificate"));
-    DBUG_RETURN(1);
-  }
-
-  /*
-    We already know that the certificate exchanged was valid; the SSL library
-    handled that. Now we need to verify that the contents of the certificate
-    are what we expect.
-  */
-
-  X509_NAME_oneline(X509_get_subject_name(server_cert), buf, sizeof(buf));
-  X509_free (server_cert);
-
-  DBUG_PRINT("info", ("hostname in cert: %s", buf));
-  cp1= strstr(buf, "/CN=");
-  if (cp1)
-  {
-    cp1+= 4; /* Skip the "/CN=" that we found */
-    /* Search for next / which might be the delimiter for email */
-    cp2= strchr(cp1, '/');
-    if (cp2)
-      *cp2= '\0';
-    DBUG_PRINT("info", ("Server hostname in cert: %s", cp1));
-    if (!strcmp(cp1, server_hostname))
-    {
-      /* Success */
-      DBUG_RETURN(0);
-    }
-  }
-  DBUG_PRINT("error", ("SSL certificate validation failure"));
-  DBUG_RETURN(1);
-}
-
-#endif /* HAVE_OPENSSL && !EMBEDDED_LIBRARY */
-
 
 /*
   Note that the mysql argument must be initialized with mysql_init()
@@ -2222,14 +2100,6 @@
   if (client_flag & CLIENT_MULTI_STATEMENTS)
     client_flag|= CLIENT_MULTI_RESULTS;
 
-#if defined(HAVE_OPENSSL) && !defined(EMBEDDED_LIBRARY)
-  if (mysql->options.ssl_key || mysql->options.ssl_cert ||
-      mysql->options.ssl_ca || mysql->options.ssl_capath ||
-      mysql->options.ssl_cipher)
-    mysql->options.use_ssl= 1;
-  if (mysql->options.use_ssl)
-    client_flag|=CLIENT_SSL;
-#endif /* HAVE_OPENSSL && !EMBEDDED_LIBRARY*/
   if (db)
     client_flag|=CLIENT_CONNECT_WITH_DB;
 
@@ -2256,59 +2126,6 @@
   }
   mysql->client_flag=client_flag;
 
-#if defined(HAVE_OPENSSL) && !defined(EMBEDDED_LIBRARY)
-  if (client_flag & CLIENT_SSL)
-  {
-    /* Do the SSL layering. */
-    struct st_mysql_options *options= &mysql->options;
-    struct st_VioSSLFd *ssl_fd;
-
-    /*
-      Send client_flag, max_packet_size - unencrypted otherwise
-      the server does not know we want to do SSL
-    */
-    if (my_net_write(net, (uchar*) buff, (uint) (end-buff)) || net_flush(net))
-    {
-      set_mysql_extended_error(mysql, CR_SERVER_LOST, unknown_sqlstate,
-                               ER(CR_SERVER_LOST_EXTENDED),
-                               "sending connection information to server",
-                               errno);
-      goto error;
-    }
-
-    /* Create the VioSSLConnectorFd - init SSL and load certs */
-    if (!(ssl_fd= new_VioSSLConnectorFd(options->ssl_key,
-                                        options->ssl_cert,
-                                        options->ssl_ca,
-                                        options->ssl_capath,
-                                        options->ssl_cipher)))
-    {
-      set_mysql_error(mysql, CR_SSL_CONNECTION_ERROR, unknown_sqlstate);
-      goto error;
-    }
-    mysql->connector_fd= (void*)ssl_fd;
-
-    /* Connect to the server */
-    DBUG_PRINT("info", ("IO layer change in progress..."));
-    if (sslconnect(ssl_fd, mysql->net.vio,
-                   (long) (mysql->options.connect_timeout)))
-    {
-      set_mysql_error(mysql, CR_SSL_CONNECTION_ERROR, unknown_sqlstate);
-      goto error;
-    }
-    DBUG_PRINT("info", ("IO layer change done!"));
-
-    /* Verify server cert */
-    if ((client_flag & CLIENT_SSL_VERIFY_SERVER_CERT) &&
-        ssl_verify_server_cert(mysql->net.vio, mysql->host))
-    {
-      set_mysql_error(mysql, CR_SSL_CONNECTION_ERROR, unknown_sqlstate);
-      goto error;
-    }
-
-  }
-#endif /* HAVE_OPENSSL && !EMBEDDED_LIBRARY */
-
   DBUG_PRINT("info",("Server version = '%s'  capabilites: %lu  status: %u  client_flag: %lu",
 		     mysql->server_version,mysql->server_capabilities,
 		     mysql->server_status, client_flag));
@@ -2593,9 +2410,6 @@
     delete_dynamic(init_commands);
     my_free((char*)init_commands,MYF(MY_WME));
   }
-#if defined(HAVE_OPENSSL) && !defined(EMBEDDED_LIBRARY)
-  mysql_ssl_free(mysql);
-#endif /* HAVE_OPENSSL && !EMBEDDED_LIBRARY */
 #ifdef HAVE_SMEM
   if (mysql->options.shared_memory_base_name != def_shared_memory_base_name)
     my_free(mysql->options.shared_memory_base_name,MYF(MY_ALLOW_ZERO_PTR));

=== modified file 'tests/ssl_test.c'
--- tests/ssl_test.c	2008-06-25 05:29:13 +0000
+++ tests/ssl_test.c	2008-07-01 21:25:46 +0000
@@ -26,57 +26,7 @@
 
 int main(int argc, char **argv)
 {
-#ifdef HAVE_OPENSSL
-  int	count, num;
-  MYSQL mysql,*sock;
-  MYSQL_RES *res;
-  char	qbuf[160];
-
-  if (argc != 3)
-  {
-    fprintf(stderr,"usage : ssl_test <dbname> <num>\n\n");
-    exit(1);
-  }
-
-  mysql_init(&mysql);
-#ifdef HAVE_OPENSSL
-  mysql_ssl_set(&mysql,"../SSL/MySQL-client-key.pem",
-    "../SSL/MySQL-client-cert.pem",
-    "../SSL/MySQL-ca-cert.pem", 0, 0);
-#endif
-  if (!(sock = mysql_real_connect(&mysql,"127.0.0.1",0,0,argv[1],MYSQL_PORT,NULL,0)))
-  {
-    fprintf(stderr,"Couldn't connect to engine!\n%s\n\n",mysql_error(&mysql));
-    perror("");
-    exit(1);
-  }
-  mysql.reconnect= 1;
-  count = 0;
-  num = atoi(argv[2]);
-  while (count < num)
-  {
-    sprintf(qbuf,SELECT_QUERY,count);
-    if(mysql_query(sock,qbuf))
-    {
-      fprintf(stderr,"Query failed (%s)\n",mysql_error(sock));
-      exit(1);
-    }
-    if (!(res=mysql_store_result(sock)))
-    {
-      fprintf(stderr,"Couldn't get result from query failed (%s)\n",
-	      mysql_error(sock));
-      exit(1);
-    }
-#ifdef TEST
-    printf("number of fields: %d\n",mysql_num_fields(res));
-#endif
-    mysql_free_result(res);
-    count++;
-  }
-  mysql_close(sock);
-#else /* HAVE_OPENSSL */
   printf("ssl_test: SSL not configured.\n");
-#endif /* HAVE_OPENSSL */
   exit(0);
   return 0;					/* Keep some compilers happy */
 }

=== modified file 'vio/vio.c'
--- vio/vio.c	2008-06-25 05:29:13 +0000
+++ vio/vio.c	2008-07-01 21:25:46 +0000
@@ -81,25 +81,6 @@
   }
   else
 #endif   
-#ifdef HAVE_OPENSSL 
-  if (type == VIO_TYPE_SSL)
-  {
-    vio->viodelete	=vio_ssl_delete;
-    vio->vioerrno	=vio_errno;
-    vio->read		=vio_ssl_read;
-    vio->write		=vio_ssl_write;
-    vio->fastsend	=vio_fastsend;
-    vio->viokeepalive	=vio_keepalive;
-    vio->should_retry	=vio_should_retry;
-    vio->was_interrupted=vio_was_interrupted;
-    vio->vioclose	=vio_ssl_close;
-    vio->peer_addr	=vio_peer_addr;
-    vio->vioblocking	=vio_ssl_blocking;
-    vio->is_blocking	=vio_is_blocking;
-    vio->timeout	=vio_timeout;
-  }
-  else					/* default is VIO_TYPE_TCPIP */
-#endif /* HAVE_OPENSSL */
   {
     vio->viodelete	=vio_delete;
     vio->vioerrno	=vio_errno;
@@ -236,7 +217,4 @@
 */
 void vio_end(void)
 {
-#ifdef HAVE_YASSL
-  yaSSL_CleanUp();
-#endif
 }

=== modified file 'vio/vio_priv.h'
--- vio/vio_priv.h	2008-06-25 05:29:13 +0000
+++ vio/vio_priv.h	2008-07-01 21:25:46 +0000
@@ -33,17 +33,3 @@
 
 void	vio_ignore_timeout(Vio *vio, uint which, uint timeout);
 void	vio_timeout(Vio *vio,uint which, uint timeout);
-
-#ifdef HAVE_OPENSSL
-#include "my_net.h"			/* needed because of struct in_addr */
-
-size_t	vio_ssl_read(Vio *vio,uchar* buf,	size_t size);
-size_t	vio_ssl_write(Vio *vio,const uchar* buf, size_t size);
-
-/* When the workday is over... */
-int vio_ssl_close(Vio *vio);
-void vio_ssl_delete(Vio *vio);
-
-int vio_ssl_blocking(Vio *vio, my_bool set_blocking_mode, my_bool *old_mode);
-
-#endif /* HAVE_OPENSSL */

